Create Symptom Definition
The symptom definition identifier must be null and will be generated by the system.
A symptom definition contains a symptom state, there may only be one symptom state per symptom definition.
The Symptom Definition to create
Show optional properties
{
"adapterKindKey": "string",
"name": "string",
"resourceKindKey": "string",
"state": {
"condition": {},
"severity": "string"
}
}
{
"adapterKindKey": "string",
"cancelCycles": 0,
"id": "string",
"name": "string",
"realtimeMonitoringEnabled": false,
"resourceKindKey": "string",
"state": {
"condition": {
"instanced": false,
"key": "string",
"operator": "string",
"settingValue": "string",
"targetKey": "string",
"thresholdType": "string",
"value": "string",
"valueType": "string"
},
"severity": "string"
},
"waitCycles": 0
}
The adapter kind identifier for the SymptomDefinition
The number of consecutive cycles to wait when a symptom state is false before a symptom is cancelled
The identifier for the SymptomDefinition. Must be null during create.
The name of the SymptomDefinition
Indicates whether real-time monitoring is enabled for the symptom or not. (This field is not applicable)
The resource kind identifier for the SymptomDefinition
The SymptomState is a product of the severity and a condition. A symptom definition may have one SymptomState per severity level.
The number of consecutive cycles to wait when a symptom state is true before a symptom is triggered
The created Symptom Definition
"symptom-definition Object"
The adapter kind identifier for the SymptomDefinition
The number of consecutive cycles to wait when a symptom state is false before a symptom is cancelled
The identifier for the SymptomDefinition. Must be null during create.
The name of the SymptomDefinition
Indicates whether real-time monitoring is enabled for the symptom or not. (This field is not applicable)
The resource kind identifier for the SymptomDefinition
The SymptomState is a product of the severity and a condition. A symptom definition may have one SymptomState per severity level.
The number of consecutive cycles to wait when a symptom state is true before a symptom is triggered
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"adapterKindKey":"string","name":"string","resourceKindKey":"string","state":"object"}' https://{api_host}/suite-api/api/symptomdefinitions